## r-cran-sparsesvd 0.2

=== DESCRIPTION ===
Package: sparsesvd
Title: Sparse Truncated Singular Value Decomposition (from 'SVDLIBC')
Version: 0.2-2
Date: 2023-01-14
Authors@R: c(person("Doug", "Rohde", email="dr+svd@tedlab.mit.edu", role="aut"),
             person("Michael", "Berry", role="aut"),
             person("Theresa", "Do", role="aut"),
             person("Gavin", "O'Brien", role="aut"),
             person("Vijay", "Krishna", role="aut"),
             person("Sowmini", "Varadhan", role="aut"),
             person("University of Tennessee Research Foundation", role = "cph", comment = "files src/las2.c, src/svdlib.[ch], src/svdutil.[ch]"),
             person("Stephanie", "Evert", email="stephanie.evert@fau.de", role=c("cre", "aut", "cph"), comment="copyright holder for files src/main.c, R/*, man/*, tests/*"))
Description: Wrapper around the 'SVDLIBC' library for (truncated) singular value decomposition of a sparse matrix.
             Currently, only sparse real matrices in Matrix package format are supported.
Depends: R (>= 3.0)
Imports: Matrix (>= 1.3), methods
License: BSD_3_clause + file LICENSE
URL: https://github.com/lucasmaystre/svdlibc,
        http://wordspace.r-forge.r-project.org/
NeedsCompilation: yes
Packaged: 2023-01-14 18:45:27 UTC; ex47emin
Author: Doug Rohde [aut],
  Michael Berry [aut],
  Theresa Do [aut],
  Gavin O'Brien [aut],
  Vijay Krishna [aut],
  Sowmini Varadhan [aut],
  University of Tennessee Research Foundation [cph] (files src/las2.c,
    src/svdlib.[ch], src/svdutil.[ch]),
  Stephanie Evert [cre, aut, cph] (copyright holder for files src/main.c,
    R/*, man/*, tests/*)
Maintainer: Stephanie Evert <stephanie.evert@fau.de>
Repository: CRAN
Date/Publication: 2023-01-14 19:40:02 UTC

=== debian/changelog ===
r-cran-sparsesvd (0.2-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Sep 2020 09:01:19 +0200

r-cran-sparsesvd (0.2-1) unstable; urgency=medium

  * Initial release (closes: #970078)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Sep 2020 10:03:37 +0200

=== debian/control ===
Source: r-cran-sparsesvd
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sparsesvd
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sparsesvd.git
Homepage: https://cran.r-project.org/package=sparsesvd
Rules-Requires-Root: no

Package: r-cran-sparsesvd
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R sparse truncated singular value decomposition
 Wrapper around the 'SVDLIBC' library for (truncated) singular value
 decomposition of a sparse matrix. Currently, only sparse real matrices
 in Matrix package format are supported.

## r-cran-sparsesvd 0.2-2

=== debian/changelog ===
r-cran-sparsesvd (0.2-2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 17:17:45 +0100

r-cran-sparsesvd (0.2-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2022 13:40:22 +0200

=== debian/control ===
Source: r-cran-sparsesvd
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sparsesvd
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sparsesvd.git
Homepage: https://cran.r-project.org/package=sparsesvd
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix (>= 1.3)
Testsuite: autopkgtest-pkg-r

Package: r-cran-sparsesvd
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R sparse truncated singular value decomposition
 Wrapper around the 'SVDLIBC' library for (truncated) singular value
 decomposition of a sparse matrix. Currently, only sparse real matrices
 in Matrix package format are supported.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/sparsesvd_([-\d.]*)\.tar\.gz

## r-cran-sparsesvd 0.2-3

=== debian/changelog ===
r-cran-sparsesvd (0.2-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Feb 2026 14:04:13 +0900

=== debian/control ===
Source: r-cran-sparsesvd
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-matrix,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sparsesvd
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sparsesvd.git
Homepage: https://cran.r-project.org/package=sparsesvd
Rules-Requires-Root: no

Package: r-cran-sparsesvd
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R sparse truncated singular value decomposition
 Wrapper around the 'SVDLIBC' library for (truncated) singular value
 decomposition of a sparse matrix. Currently, only sparse real matrices
 in Matrix package format are supported.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
